# SessionListElement Class Reference

Class for tracking session status. More...

`#include <pool.h>`

List of all members.

## Public Member Functions

| SessionListElement (RTPSessionBase *e)
void | clear ()
bool | isCleared ()
RTPSessionBase * | get ()

## Detailed Description

Class for tracking session status.

Session pools arrange sessions in lists of SessionListElement objects.

Author:
  Jorgen Terner

## Constructor & Destructor Documentation

SessionListElement::SessionListElement | ( | RTPSessionBase * | e ) | `[inline]`

## Member Function Documentation

void SessionListElement::clear | ( | ) | `[inline]`

RTPSessionBase * SessionListElement::get | ( | ) | `[inline]`

bool SessionListElement::isCleared | ( | ) | `[inline]`

The documentation for this class was generated from the following file:

- pool.h